SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Adobe Acrobat/Reader Vendors:   Adobe Systems Incorporated
Adobe Acrobat Reader on Linux/UNIX May Execute Shell Commands Embedded Within PDF Files
SecurityTracker Alert ID:  1006988
SecurityTracker URL:  http://securitytracker.com/id/1006988
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jun 14 2003
Impact:   Execution of arbitrary code via network, User access via network

Version(s): 5.06
Description:   A vulnerability was reported in Adobe Acrobat Reader on Linux. A remote user can create a malicious but valid PDF file that will cause arbitrary scripts to be executed when the target user clicks on a link in the PDF file.

Hack4Life reported vulnerabilities in Xpdf and Acrobat Reader based on information submitted by Martyn Gilmore to CERT.

It is reported that a remote user can embed shell commands within external-type hyperlinks. According to the report, the hyperlink will be passed by the PDF reader to the operating system using the 'sh -c' command. As a result, a malicious link can reportedly be crafted in the following form:

mailto:[address]`[malicious command]`

Impact:   A remote user can create a PDF file so that when a target user clicks on a hypertext link within the document, arbitrary commands will be executed on the target user's system with the privileges of the target user.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.adobe.com/products/acrobat/main.html (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC